Subject: [alpine-devel] [PATCH] testing/viewnior: new aport

From: Amatcoder <[email-masked]>
Date: Mon, 1 Dec 2014 04:48:05 +0000

---
 testing/viewnior/APKBUILD | 47 +++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 47 insertions(+)
 create mode 100644 testing/viewnior/APKBUILD

diff --git a/testing/viewnior/APKBUILD b/testing/viewnior/APKBUILD
new file mode 100644
index 0000000..d9d7e19
--- /dev/null
+++ b/testing/viewnior/APKBUILD
@@ -0,0 +1,47 @@
+# Contributor: August Klein <[email-masked]>
+# Maintainer: August Klein <[email-masked]>
+pkgname=viewnior
+pkgver=1.4
+pkgrel=0
+pkgdesc="A fast and simple image viewer for GNU/Linux"
+url="http://siyanpanayotov.com/project/viewnior"
+arch="all"
+license="GPL3"
+depends=""
+depends_dev="gtk+2.0-dev exiv2-dev"
+makedepends="$depends_dev autoconf automake gnome-common libtool"
+install=""
+subpackages="$pkgname-lang $pkgname-doc"
+source="https://github.com/xsisqox/Viewnior/archive/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/Viewnior-$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./autogen.sh || return 1
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--mandir=/usr/share/man \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="e5ae60047f2941a228c0a121e07fe09b  viewnior-1.4.tar.gz"
+sha256sums="44beaeaadf843ce2f63e339994f18ae6c524b23c967379441738ecff6c436b00  viewnior-1.4.tar.gz"
+sha512sums="b9c72e24066a5bee7a94d35d74acb8e60adceb319754c96132709a441fe6b5e095c3bcf475091e959f28f5e5c0ff2062225f9749d1cb7c2f7ba794a025b5321f  viewnior-1.4.tar.gz"
-- 
2.2.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---